<?php 
require_once "../modelos/Movimientoinventariointer.php";
if (strlen(session_id())<1) 
	session_start();

$movimientoinventario 		= new movimientoinventariointer();

$idmovimientoinventario		=isset($_POST["idmovimientoinventario"])? limpiarCadena($_POST["idmovimientoinventario"]):"";
$idusuario								=$_SESSION["idusuario"];
$idalmacensalida					=isset($_POST["idalmacensalida"])? limpiarCadena($_POST["idalmacensalida"]):"";
$idalmacenentrada					=isset($_POST["idalmacenentrada"])? limpiarCadena($_POST["idalmacenentrada"]):"";
$idcompaniasalida					=isset($_POST["idcompaniasalida"])? limpiarCadena($_POST["idcompaniasalida"]):"";
$idcompaniaentrada				=isset($_POST["idcompaniaentrada"])? limpiarCadena($_POST["idcompaniaentrada"]):"";
$nromovimientoinventario	=isset($_POST["nromovimientoinventario"])? limpiarCadena($_POST["nromovimientoinventario"]):"";
$fecha_hora								=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$total_venta							=isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";
$totalventab							=isset($_POST["totalventab"])? limpiarCadena($_POST["totalventab"]):"";
$totalventad							=isset($_POST["totalventad"])? limpiarCadena($_POST["totalventad"]):"";
$total_entrada						=isset($_POST["total_entrada"])? limpiarCadena($_POST["total_entrada"]):"";
$total_salida							=isset($_POST["total_salida"])? limpiarCadena($_POST["total_salida"]):"";
$idcliente								=isset($_POST["idcliente"])? limpiarCadena($_POST["idcliente"]):"";
$tipo_comprobante					=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$iddiacredito							=isset($_POST["iddiacredito"])? limpiarCadena($_POST["iddiacredito"]):"";
$serie_comprobante				=isset($_POST["serie_comprobante"])? limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante					=isset($_POST["num_comprobante"])? limpiarCadena($_POST["num_comprobante"]):"";
$serie_comprobante1				=isset($_POST["serie_comprobante1"])? limpiarCadena($_POST["serie_comprobante1"]):"";
$num_comprobante1					=isset($_POST["num_comprobante1"])? limpiarCadena($_POST["num_comprobante1"]):"";
$impuesto									=isset($_POST["impuesto"])? limpiarCadena($_POST["impuesto"]):"";
$idclientedespacho				=isset($_POST["idclientedespacho"])? limpiarCadena($_POST["idclientedespacho"]):"";
$idtransporte							=isset($_POST["idtransporte"])? limpiarCadena($_POST["idtransporte"]):"";
$idtransportista					=isset($_POST["idtransportista"])? limpiarCadena($_POST["idtransportista"]):"";
$ordendecompra						=isset($_POST["ordendecompra"])? limpiarCadena($_POST["ordendecompra"]):"";
$tasa_dollar							=isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";
$idvendedor								=isset($_POST["idvendedor"])? limpiarCadena($_POST["idvendedor"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		/* insertar($idcliente,$iddiasdecredito,$idalmacen1,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,$serie_comprobante1,$num_comprobante1,
			$fecha_hora,$impuesto,$total_venta,$total_ventad,$total_ventai,$total_ventaid,$idtransportista,$idvendedor,$tasa_dollar,$idclientedespacho,$idtransporte,$ordendecompra,$_POST["idarticulo"],$_POST["cantidad1"],$_POST["precio_venta"],
			$_POST["descuento"],$_POST["nrolote"],$_POST["idpedidosolo"],$_POST["idalmacen"],$_POST["impoart18"],$_POST["precio_ventapvp"]) */
		
		if (empty($idmovimientoinventario)) {
			$rspta=$movimientoinventario->insertar($idusuario,$idalmacensalida,$idcompaniasalida,$idalmacenentrada,$idcompaniaentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,
			$_POST["idarticulo"],$_POST["cantidad"],$_POST["idarticulo1"],$_POST["cantidad1"],$_POST["factorc"]); 
			//Ahora generamos las CxC se verifica que se realizo el movimiento
		
			if ($rspta){
				require_once "../modelos/Ventan.php";
				$venta 			= new Ventan();
				$rsptv			=$venta->insertar($idcliente,$iddiasdecredito,$idalmacensalida,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,$serie_comprobante1,$num_comprobante1,
				$fecha_hora,$impuesto,$totalventab,$totalventad,$totalventab,$totalventad,$idtransportista,$idvendedor,$tasa_dollar,$idclientedespacho,$idtransporte,$ordendecompra,$_POST["idarticulo"],$_POST["cantidad1"],$_POST["preciob"],
				$_POST["descuento"],$_POST["nrolote"],$_POST["idpedidosolo"],$_POST["idalmacen"],$_POST["impoart18"],$_POST["preciob"]);
				echo $rsptv ? "Datos registrados correctamente" : "No se pudo registrar los datos";
			}else{
				echo "No se pudo registrar los datos";
			}
			
		}else{
			
		}
	break;

	case 'guardaryeditar2':
		if (empty($idmovimientoinventario)) {
			$rspta=$movimientoinventario->insertar2($idusuario,$idalmacensalida,$idcompaniasalida,$idalmacenentrada,$idcompaniaentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,
			$_POST["idarticulo"],$_POST["cantidad"],$_POST["idarticulo1"],$_POST["cantidad1"],$_POST["factorc"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;
	

	case 'anular':
		$rspta=$movimientoinventario->anular($idmovimientoinventario);
		echo $rspta ? "Ingreso anulado correctamente" : "No se pudo anular el ingreso";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$movimientoinventario->eliminararticulodecafeteriabd($iddetallec,$idpedidoc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$movimientoinventario->mostrar($idmovimientoinventario);
		echo json_encode($rspta);
	break;

	case 'mostrar2':
		$rspta=$movimientoinventario->mostrar2($idmovimientoinventario);
		echo json_encode($rspta);
	break;

	case 'listarDetalle':
		//recibimos el idmovimientoinventario
		$id=$_GET['id'];

		$rspta=$movimientoinventario->listarDetalle($id);
		$total=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Opciones</th>
        <th>Articulo</th>
        <th>Stock</th>
        <th>Cantidad</th>
        <th>Estado</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td></td>
			<td>'.$reg->nombre.'</td>
			<td style="text-align:right">'.$reg->stock.'</td>
			<td style="text-align:right">'.number_format($reg->cantidad,0,',','.').'</td>
			<td style="text-align:center">'.$reg->estado.'</td>
			<td style="text-align:right">'.number_format($reg->cantidad,0,',','.').'</td></tr>';
			$total=$total+$reg->cantidad;
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
         <th></th>
         <th></th>
         <th style="text-align:right"><h4 id="total"> '.number_format($total,0,',','.').'</h4><input type="hidden" name="total_venta" id="total_venta"></th>
       </tfoot>';
	break;

	case 'listarDetalle2':
		//recibimos el idmovimientoinventario
		$id=$_GET['id'];

		$rspta=$movimientoinventario->listarDetalle2($id);
		$total=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Opciones</th>
        <th>Articulo</th>
        <th>Stock</th>
        <th>Cantidad</th>
        <th>Estado</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td></td>
			<td>'.$reg->nombre.'</td>
			<td style="text-align:right">'.$reg->stock.'</td>
			<td style="text-align:right">'.number_format($reg->cantidad,0,',','.').'</td>
			<td style="text-align:center">'.$reg->estado.'</td>
			<td style="text-align:right">'.number_format($reg->cantidad,0,',','.').'</td></tr>';
			$total=$total+$reg->cantidad;
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
         <th></th>
         <th></th>
         <th style="text-align:right"><h4 id="total"> '.number_format($total,0,',','.').'</h4><input type="hidden" name="total_venta" id="total_venta"></th>
       </tfoot>';
	break;


	case 'selectAlmacen':
		require_once "../modelos/Almacen.php";
		$almacen		=new Almacen();
		$rspta			=$almacen->select();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Almacén';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idalmacen.'>'.$reg->nombre.'</option>';
		}
	break;

	

	

	case 'buscarNroMovimiento':
		$rspta=$movimientoinventario->buscarNroMovimiento();
		echo json_encode($rspta);
	break;

	case 'buscarempresa':
		$rspta=$movimientoinventario->buscarempresa();
		echo json_encode($rspta);
	break;

	

	case 'listar':
		/* 
		SELECT m.idmovimientoinventario,fecha,u.idusuario,usuario, m.idalmace_entrada,entrada, m.idalmacen_salida,salida, 
		m.cantidad,m.nromovimiento, m.estado

		<th>Opciones</th>
                    <th>Fecha</th>
                    <th>AlmacenSalida</th>
                    <th>AlmacenEntrada</th>
                    <th>Número</th>
                    <th>Cantidad</th>
                    <th>Estado</th>
		*/
		$rspta=$movimientoinventario->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			
			$data[]=array(
			"0"=>(($reg->estado=='Salida')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idmovimientoinventario.')"><i class="fa fa-eye"></i></button>':'
			<button class="btn btn-warning btn-xs" onclick="mostrar2('.$reg->idmovimientoinventario.')">
			<i class="fa fa-eye"></i></button>'),
			"1"=>$reg->fecha,
			"2"=>$reg->empresasalida,
			"3"=>$reg->salida,
			"4"=>$reg->empresaentrada,
			"5"=>$reg->entrada,
			"6"=>$reg->nromovimiento,
			"7"=>$reg->cantidad,
			"8"=>($reg->estado!='Salida')?'<span class="badge bg-green">Entrada</span>':'<span class="badge bg-yellow">Salida</span>'
				);
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;


	case 'listarArticulosa':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosBodegart();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosBodegartCafetin();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	
}
 ?>